extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "knights:bezos_layer1",
    "layer2": "knights:bezos_layer2",
});
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
 var color = 0x66FF47;
 utils.bindCloud(renderer, "fiskheroes:telekinesis", "knights:telekinesis_money");
var beam = renderer.createResource("BEAM_RENDERER", "fiskheroes:mysterio_beam");
utils.bindTrail(renderer, "knights:blur");
utils.bindBeam(renderer, "fiskheroes:charged_beam", beam, "head", 0x8AFF8A, [
    { "firstPerson": [2.2, 0.0, 2.0], "offset": [2.2, -5, -4.0], "size": [1.5, 0.5] },
    { "firstPerson": [-2.2, 0.0, 2.0], "offset": [-2.2, -5, -4.0], "size": [1.5, 0.5] },
]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_charged_beam"));

utils.bindBeam(renderer, "fiskheroes:energy_projection", beam, "rightArm", 0x8AFF8A, [
    { "firstPerson": [-3.75, 3.0, -8.0], "offset": [-0.5, 12.0, 0.0], "size": [1.5, 1.5] },
    { "firstPerson": [3.75, 3.0, -8.0], "offset": [-0.5, 12.0, 0.0], "size": [1.5, 1.5], "anchor": "leftArm" }
]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_energy_projection"));
}
function initAnimations(renderer) {
    parent.initAnimations(renderer);
    utils.addFlightAnimationWithLanding(renderer, "iron_man.FLIGHT", "fiskheroes:flight/iron_man.anim.json");
    utils.addHoverAnimation(renderer, "iron_man.HOVER", "fiskheroes:flight/idle/iron_man");
    addAnimationWithData(renderer, "iron_man.LAND", "fiskheroes:superhero_landing", "fiskheroes:dyn/superhero_landing_timer")
        .priority = -8;

    addAnimationWithData(renderer, "iron_man.ROLL", "fiskheroes:flight/barrel_roll", "fiskheroes:barrel_roll_timer")
        .priority = 10;
}